<?php
require'f_barnbuddy.php';
$x1='';
$x2='';
$x3='';
$categorii=[1=>['/categorie/1-plante','Plante',0,0],2=>['/categorie/2-flori','Flori',1,0],3=>['/categorie/3-fertilizari','Fertilizări',2,1],4=>['/categorie/4-animale','Animale',3,3]];
if($cid!='')
{
$x1=' - '.$categorii[$cid][1];
$x2=$categorii[$cid][0];
$x3=$categorii[$cid][2];
}
$titlu='Magazin Barn Buddy'.$x1;
require'f_sus.php';
echo$div[4].'Magazin Barn Buddy'.$x1.$div[5];
if($cid!='')
{
if(!in_array($cid,array_keys($categorii)))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai ales o categorie definită în script!'.$div[0];
require'f_jos.php';
}
echo$div[1].'Banii tăi: <strong>'.number_format($barnbuddy[1]).'</strong>'.$div[0];
$elemente=$conn->query('SELECT COUNT(*)FROM`barnbuddy_magazin`WHERE`tip`="'.$categorii[$cid][2].'"')->fetch_row()[0];
if($elemente>0)
{
require'f_paginare1.php';
$cou=$limit_start;
$items=$conn->query('SELECT`id`,`nume`,`bani`,`baniadunati`,`timp`FROM`barnbuddy_magazin`WHERE`tip`="'.$categorii[$cid][2].'"ORDER BY`bani`LIMIT '.$limit_start.','.$pe_pagina);
while($item=$items->fetch_row())
{
$cou++;
echo$div[1].$cou.' - '.($barnbuddy[1]>=$item[2]?'<a href="/cumpara-produs-magazin-barnbuddy/id/'.$item[0].'-'.seo($item[1]).'/tip/'.$categorii[$cid][3].'">'.htmlspecialchars($item[1]).'</a>':'Mai trebuie să strângi încă <strong>'.number_format($item[2]-$barnbuddy[1]).'</strong> bani, pentru '.htmlspecialchars($item[1]).'!<br />'.htmlspecialchars($item[1])).' costă ';
if($cid==1||$cid==2)
echo'<strong>'.number_format($item[2]).'</strong> bani,, aduni <strong>'.number_format($item[3]).'</strong> bani, și se recoltează în <strong>'.$item[4].'</strong> ore';
elseif($cid==3)
echo'<strong>'.number_format($item[2]).'</strong> bani, și reduci timpul de recoltare cu <strong>'.$item[4].'</strong> ore';
else
echo'<strong>'.number_format($item[2]).'</strong> bani și aduni <strong>'.number_format($item[3]).'</strong> bani!';
echo$div[0];
}
require'f_paginare2.php';
}
else
echo$div[7].'Momentan nu sunt '.$categorii[$cid][1].' adăugate în magazin!'.$div[0];
}
else
{
$numar_categorii=count($categorii)+1;
for($i=1;$i<$numar_categorii;$i++)
{
echo$div[1].'<a href="/magazin-barnbuddy'.$categorii[$i][0].'">'.$categorii[$i][1].'</a> <strong>'.number_format($conn->query('SELECT COUNT(*)FROM`barnbuddy_magazin`WHERE`tip`="'.$categorii[$i][2].'"')->fetch_row()[0]).'</strong>'.$div[0];
}
}
require'f_jos.php';